Name:           python-payjp
Version:        1.6.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        PAY.JP python bindings

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/payjp/payjp-python
Source:         %{pypi_source payjp}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'payjp' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-payjp
Summary:        %{summary}

%description -n python3-payjp %_description


%prep
%autosetup -p1 -n payjp-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-payjp -f %{pyproject_files}


%changelog
%autochangelog